Bug 234363 - [MAINTAINER UPDATE] devel/aegis: make to work with USE_GCC=any
Summary: [MAINTAINER UPDATE] devel/aegis: make to work with USE_GCC=any
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-24 16:24 UTC by aryeh.friedman
Modified: 2018-12-26 23:48 UTC (History)
0 users

See Also:


Attachments
port files patch (1.57 KB, patch)
2018-12-24 16:24 UTC, aryeh.friedman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description aryeh.friedman 2018-12-24 16:24:49 UTC
Created attachment 200456 [details]
port files patch

Fixes issues in report 219284 (not compiling under any GCC newer then GCC6)
Comment 1 aryeh.friedman 2018-12-24 16:51:07 UTC
Forgot to include now unneeded work around in Makefile:

Index: Makefile
===================================================================
--- Makefile	(revision 488273)
+++ Makefile	(working copy)
@@ -4,7 +4,7 @@
 PORTNAME=	aegis
 PORTVERSION=	4.25
 DISTVERSIONSUFFIX=	.D510
-PORTREVISION=	9
+PORTREVISION=	10
 CATEGORIES=	devel
 MASTER_SITES=	SF
 
@@ -26,10 +26,6 @@
 LDFLAGS+=	-L${LOCALBASE}/lib
 MAKE_JOBS_UNSAFE=	yes
 
-# GCC 6 switched to -std=gnu++14 by default, which breaks the port (bug
-# 219284). Explicitly use the previous default to keep things going.
-USE_CXXSTD=	gnu++98
-
 OPTIONS_DEFINE=	DOCS NLS
 OPTIONS_SUB=	yes
 
Index: files/patch-aegrep_main.cc
===================================================================
--- files/patch-aegrep_main.cc	(revision 488273)
+++ files/patch-aegrep_main.cc	(working copy)
@@ -1,5 +1,5 @@
---- aegrep/main.cc.orig	2014-08-02 11:30:25.351342791 +0000
-+++ aegrep/main.cc	2014-08-02 11:30:52.520341498 +0000
+--- aegrep/main.cc.orig	2012-12-04 02:03:33 UTC
++++ aegrep/main.cc
 @@ -32,6 +32,9 @@
  
  #include <aegrep/arglex3.h>
Index: files/patch-common_mem.h
===================================================================
--- files/patch-common_mem.h	(nonexistent)
+++ files/patch-common_mem.h	(working copy)
@@ -0,0 +1,11 @@
+--- common/mem.h.orig	2012-12-04 02:03:33 UTC
++++ common/mem.h
+@@ -123,7 +123,7 @@ char *dmem_copy_string(const char *file,
+ #endif
+ 
+ #if HAVE_HEADER_NEW || HAVE_NEW_H
+-#define THROW_BAD_ALLOC throw(std::bad_alloc)
++#define THROW_BAD_ALLOC //throw(std::bad_alloc)
+ #else
+ #define THROW_BAD_ALLOC
+ #endif

Property changes on: files/patch-common_mem.h
___________________________________________________________________
Added: fbsd:nokeywords
## -0,0 +1 ##
+yes
\ No newline at end of property
Added: svn:eol-style
## -0,0 +1 ##
+native
\ No newline at end of property
Added: svn:mime-type
## -0,0 +1 ##
+text/plain
\ No newline at end of property
Comment 2 commit-hook freebsd_committer 2018-12-26 23:46:40 UTC
A commit references this bug:

Author: swills
Date: Wed Dec 26 23:46:14 UTC 2018
New revision: 488492
URL: https://svnweb.freebsd.org/changeset/ports/488492

Log:
  devel/aegis: Fix build with newer gcc

  PR:		234363
  Submitted by:	aryeh.friedman@gmail.com (maintainer)

Changes:
  head/devel/aegis/Makefile
  head/devel/aegis/files/patch-aegrep_main.cc
  head/devel/aegis/files/patch-common_mem.h
Comment 3 Steve Wills freebsd_committer 2018-12-26 23:48:21 UTC
Committed, thanks!